## barbican 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.0
Babel>=1.3
cryptography>=1.0 # Apache-2.0
eventlet>=0.17.4
iso8601>=0.1.9
jsonschema!=2.5.0,<3.0.0,>=2.0.0
kombu>=3.0.7
netaddr!=0.7.16,>=0.7.12
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
Paste
PasteDeploy>=1.5.0
pbr>=1.6
pecan>=1.0.0
pycrypto>=2.6
pyOpenSSL>=0.14
ldap3>=0.9.8.2 # LGPLv3
keystonemiddleware>=2.0.0
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
stevedore>=1.5.0 # Apache-2.0
WebOb>=1.2.3

=== debian/changelog ===
barbican (1:1.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:27:40 -0400

barbican (1:1.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:43:43 -0400

barbican (1:1.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 10:22:50 +0100

barbican (1:1.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:47:48 -0400

barbican (1:1.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/barbican-api.install: barbican-api.conf renamed to barbican.conf.
  * d/rules: No need to rename /usr/bin files since upstream now defines
    console_scripts in entry_points section of setup.cfg.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 21:47:33 -0400

barbican (1:1.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.
  * d/rules: Drop OSLO_PACKAGE_VERSION from rules file, not required as
    we always use upstream release tarballs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 15:40:58 -0400

barbican (1:1.0.0~b1-0ubuntu2) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:23:29 +0100

barbican (1:1.0.0~b1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use tarballs.openstack.org for upstream releases.
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.

  [ James Page ]
  * Version BD on python-pykmip >= 0.3.3, resolving FTBFS with older
    versions.
  * d/barbican-api.install: Drop barbican-admin conf and ini files from
    install.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Jul 2015 09:46:47 +0100

barbican (2015.1.0-5) unstable; urgency=medium

  * Ran debconf-updatepo (Closes: #788675).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 09:23:03 +0000

barbican (2015.1.0-4) unstable; urgency=medium

  * Fixes templates so that they don't reference Cinder (Closes: #787702).
  * Added pt.po debconf templates translations thanks to Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #788039).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:27:36 +0200

barbican (2015.1.0-3) unstable; urgency=medium

  * Added dbconfig-common as dependency of barbican-common (Closes: #787507).
  * Added debian/po/POTFILES.in and ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Jun 2015 15:58:30 +0200

barbican (2015.1.0-2) unstable; urgency=medium

  * Added uwsgi-core as Depends: for barbican-api.
  * Fixed barbican-api init scripts.
  * Added missing binaries from /usr/bin/*.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2015 09:10:01 +0000

barbican (2015.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #784055).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Mar 2015 17:46:24 +0100

=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6),
                     python-cryptography (>= 1.0),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-iso8601 (>= 0.1.9),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu (>= 3.0.7),
                     python-ldap3 (>= 0.9.8.2),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-openssl (>= 0.14),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pykmip (>= 0.4.0),
                     python-requests (>= 2.5.2),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Homepage: https://github.com/openstack/barbican

Package: python-barbican
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-babel (>= 1.3),
         python-crypto (>= 2.6),
         python-cryptography (>= 1.0),
         python-eventlet (>= 0.17.4),
         python-iso8601 (>= 0.1.9),
         python-jsonschema (>= 2.0.0),
         python-keystonemiddleware (>= 2.0.0),
         python-kombu (>= 3.0.7),
         python-ldap3 (>= 0.9.8.2),
         python-netaddr (>= 0.7.12),
         python-openssl (>= 0.14),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

Package: barbican-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-barbican (= ${binary:Version}),
         python-pysqlite2,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-api
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         uwsgi-core,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-worker
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: barbican-keystone-listener
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

## barbican 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.0 # MIT
Babel>=1.3 # BSD
cffi # MIT
cryptography>=1.0 # BSD/Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
pycrypto>=2.6 # Public Domain
pyOpenSSL>=0.14 # Apache-2.0
ldap3>=0.9.8.2 # LGPLv3
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.5.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
barbican (1:2.0.0-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * d/man/*, d/barbican-common.manpages: Add manpage stubs.
  * d/control: Remove dependency for python-pysqlite2, removed upstream.
  * d/control: Use python-ldap instead of python-ldap3 for better main support.
  * d/p/ldap3-to-ldap.patch: Patch out ldap3 in favor of ldap.

  [ Corey Bryant ]
  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 12:00:06 -0400

barbican (1:2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * d/control, d/rules, d/barbican-api.*: Run barbican-api under apache2 with
    mod_wsgi instead of uwsgi.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Mitaka.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 01 Apr 2016 15:05:40 +0100

barbican (1:2.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/barbican-common.install: Install barbican-manage utility.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Mar 2016 14:06:53 -0500

barbican (1:2.0.0~b2-0ubuntu3) xenial; urgency=medium

  * d/barbican-common.install: Install inidividual /usr/bin/ files.
  * d/barbican-common.postinst: Add post install user/group/dir/perm config.
  * d/barbican-common.dirs: New file added to create required dirs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Feb 2016 09:25:24 -0500

barbican (1:2.0.0~b2-0ubuntu2) xenial; urgency=medium

  [ David Della Vecchia ]
  * d/*: Remove debconf and dbconfig support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Feb 2016 16:14:30 -0500

barbican (1:2.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 04 Feb 2016 08:03:10 -0500

barbican (1:2.0.0~b1-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/barbican-api.install: Install missing policy.json (LP: #1526655).
  * d/control: Add Recommends on python-pymysql (LP: #1526659).
  * d/control: Add missing runtime dependency on uwsgi-plugin-python
    (LP: #1526654).
  * d/barbican-api.upstart.in: Provide full upstart configuration as
    generation using openstack-pkg-tools is not supported for uwsgi
    applications (LP: #1526654).
  * d/barbican-{api,common}.install,control: Move configuration files to
    common package to support use across all barbican packages and with
    Apache WSGI.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 09:57:35 -0500

=== debian/control ===
--- 
+++ 
@@ -4,53 +4,54 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9~),
+Build-Depends: apache2-dev,
+               debhelper (>= 9~),
+               dh-apache2,
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 23~),
-               po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.8.0),
                      python-babel (>= 1.3),
+                     python-cffi,
                      python-coverage (>= 3.6),
                      python-crypto (>= 2.6),
                      python-cryptography (>= 1.0),
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.0),
-                     python-iso8601 (>= 0.1.9),
                      python-jsonschema (>= 2.0.0),
                      python-keystoneclient (>= 1:1.6.0),
-                     python-keystonemiddleware (>= 2.0.0),
-                     python-kombu (>= 3.0.7),
-                     python-ldap3 (>= 0.9.8.2),
+                     python-keystonemiddleware (>= 4.0.0),
+                     python-ldap (>=2.4.22),
                      python-mock (>= 1.2),
-                     python-netaddr (>= 0.7.12),
                      python-openssl (>= 0.14),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.middleware (>= 3.7.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
+                     python-pycadf (>= 1.1.0),
                      python-pykmip (>= 0.4.0),
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.8.0),
+                     python-tempest-lib (>= 0.14.0),
                      python-testtools (>= 1.4.0),
                      python-webob (>= 1.2.3),
                      subunit (>= 0.0.18),
@@ -65,36 +66,37 @@
 Section: python
 Depends: alembic (>= 0.8.0),
          python-babel (>= 1.3),
+         python-cffi,
          python-crypto (>= 2.6),
          python-cryptography (>= 1.0),
-         python-eventlet (>= 0.17.4),
-         python-iso8601 (>= 0.1.9),
+         python-eventlet (>= 0.18.2),
          python-jsonschema (>= 2.0.0),
-         python-keystonemiddleware (>= 2.0.0),
-         python-kombu (>= 3.0.7),
-         python-ldap3 (>= 0.9.8.2),
-         python-netaddr (>= 0.7.12),
+         python-keystonemiddleware (>= 4.0.0),
+         python-ldap (>= 2.4.22),
          python-openssl (>= 0.14),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.middleware (>= 3.7.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
+         python-pycadf (>= 1.1.0),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
          python-webob (>= 1.2.3),
          ${misc:Depends},
          ${python:Depends},
+Recommends: python-pymysql,
 Description: OpenStack Key Management Service - Python files
  The Barbican project provides services for secure storage, provisioning and
  management of sensitive client secret information such as encryption keys. It
@@ -106,12 +108,11 @@
 Package: barbican-common
 Architecture: all
 Depends: adduser,
-         dbconfig-common,
-         debconf,
          python-barbican (= ${binary:Version}),
-         python-pysqlite2,
          ${misc:Depends},
          ${python:Depends},
+Breaks: barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
+Replaces: barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
 Description: OpenStack Key Management Service - common files
  The Barbican project provides services for secure storage, provisioning and
  management of sensitive client secret information such as encryption keys. It
@@ -123,9 +124,10 @@
 Package: barbican-api
 Architecture: all
 Depends: barbican-common (= ${binary:Version}),
-         uwsgi-core,
+         libapache2-mod-wsgi,
          ${misc:Depends},
          ${python:Depends},
+Recommends: ${misc:Recommends},
 Description: OpenStack Key Management Service - API Server
  The Barbican project provides services for secure storage, provisioning and
  management of sensitive client secret information such as encryption keys. It

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with apache2,python2,systemd,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb

override_dh_install:
	dh_install --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -rf .eggs

## barbican 3.0.0~b2

=== debian/changelog ===
barbican (1:3.0.0~b2-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patch for requirements.txt to avoid FTBFS in Jessie.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 15:28:17 +0000

barbican (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream.
  * Rebased authtoken in config patch.
  * Fixed config and postinst script for authtoken.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 17:14:10 +0200

barbican (1:2.0.0-5) unstable; urgency=medium

  [ Thomas Goirand ]
  * Updated Dutch debconf templates (Closes: #822884).

  [ Ondřej Nový ]
  * d/copyright: Changed source URL to https protocol

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 14:41:06 +0000

barbican (1:2.0.0-4) unstable; urgency=medium

  * Set keystone_notifications enable True by default.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Apr 2016 18:39:00 +0000

barbican (1:2.0.0-3) unstable; urgency=medium

  * Added Fix_circular_dependency_of_certificate_manager_module.patch from
    upstream.
  * Added fix-keystone-listener.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Apr 2016 17:20:01 +0000

barbican (1:2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Added python-pymysql as runtime depends:.
  * Added Portuguese translation for debconf messages (Closes: #821241).

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Apr 2016 23:56:39 +0200

barbican (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:27:00 +0200

barbican (1:2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Removed a chunk of debian/patches/repair-broken-migration-scripts.patch
    applied upstream.
  * Uploading to unstable.
  * Added de.po debconf translation (Closes: #819690).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:15:05 +0200

barbican (1:2.0.0~rc1-3) experimental; urgency=medium

  * Not using admin auth token anymore for registering API endpoint.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 12:10:31 +0000

barbican (1:2.0.0~rc1-2) experimental; urgency=medium

  * Fixed config script.
  * Installing missing alembic migration files.
  * Add repair-broken-migration-scripts.patch.
  * Fixed the barbican-api daemon not to use uwsgi anymore, and fixed the
    default barbican-api-paste.ini.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2016 12:08:54 +0100

barbican (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added python-openstackdocstheme (>= 1.0.3) as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Mar 2016 15:07:10 +0100

barbican (1:2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed removed-image-hosted-on-rackspace-cdn.patch now fixed upstream.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Mar 2016 22:11:22 +0800

barbican (1:2.0.0~b2-2) experimental; urgency=medium

  * Updated nl.po debconf translation (Closes: #806492).
  * VCS URLs using HTTPS.
  * Added removed-image-hosted-on-rackspace-cdn.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 05:29:10 +0000

barbican (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 11:37:31 +0100

barbican (1:1.0.0-6) unstable; urgency=medium

  * Added pt.po debconf translation (Closes: #804098).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 10:28:41 +0100

barbican (1:1.0.0-5) unstable; urgency=medium

  * Added q-text-as-data as depends for barbican-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:26:15 +0000

barbican (1:1.0.0-4) unstable; urgency=medium

  * Added debian/barbican-common.templates in d/po/POTFILES.in

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:20:36 +0000

barbican (1:1.0.0-3) unstable; urgency=medium

  * Rebuilt using openstack-pkg-tools to use Keystone v3 API.
  * Activated the barbican-db-sync job in postinst.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 20:13:02 +0000

barbican (1:1.0.0-2) unstable; urgency=medium

  * Deletes barbican.conf on purge (Closes: #802535).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:11:10 +0000

barbican (1:1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added French debconf templates translation thanks to Christian Perrier
    <bubulle@debian.org> (Closes: #799909).
  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #799459).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 13:40:28 +0000

barbican (1:1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added fr.po.
  * Fixed minimum python-pykmip build-depends.
  * Now barbican-api depends on openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 12:55:10 +0000

barbican (1:1.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 13:35:08 +0200

barbican (2015.1.0-7) unstable; urgency=medium

  * Rebuilt against python-sqlalchemy 1.0.6.
  * Fixed FTBFS by not running test failing with mock >= 1.3 (Closes: #795811).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jun 2015 17:26:44 +0000

barbican (2015.1.0-6) unstable; urgency=medium

  * Finished the debconf automatic keystone authtoken, db, rabbitMQ
    configuration, and API endpoints.


=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: alembic (>= 0.8.4),
                     bandit (>= 0.13.2),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-cffi,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-dateutil,
                     python-eventlet (>= 0.18.4),
                     python-falcon,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-pykmip (>= 0.5.0),
                     python-ldap3 (>= 0.9.8.2),
                     python-mock (>= 2.0),
                     python-openssl (>= 0.14),
                     python-openstackdocstheme (>= 1.0.3),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.11.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pycadf (>= 1.1.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.0),
                     python-tempest (>= 1:12.1.0),
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/barbican.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/barbican.git
Homepage: https://github.com/openstack/barbican

Package: python-barbican
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-cffi,
         python-crypto,
         python-cryptography (>= 1.0),
         python-dateutil,
         python-eventlet (>= 0.18.4),
         python-falcon,
         python-jsonschema,
         python-keystonemiddleware (>= 4.0.0),
         python-ldap3 (>= 0.9.8.2),
         python-openssl (>= 0.14),
         python-oslo.context (>= 2.4.0),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.11.0),
         python-pbr (>= 1.8),
         python-paste,
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

Package: barbican-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-barbican (= ${binary:Version}),
         python-pysqlite2,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-api
Architecture: all
Depends: adduser,
         barbican-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-worker
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: barbican-keystone-listener
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},   
         ${python:Depends}
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

## barbican 3.0.0~b3

=== debian/changelog ===
barbican (1:3.0.0~b3-1+108~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 21:53:41 +0000

barbican (1:3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Add patch for requirements.txt to avoid FTBFS in Jessie.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 15:46:52 +0000

=== debian/control ===
--- 
+++ 
@@ -25,15 +25,15 @@
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
                      python-jsonschema,
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-pykmip (>= 0.5.0),
                      python-ldap3 (>= 0.9.8.2),
                      python-mock (>= 2.0),
                      python-openssl (>= 0.14),
-                     python-openstackdocstheme (>= 1.0.3),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.config (>= 1:3.10.0),
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
@@ -41,7 +41,7 @@
                      python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.2.0.0),
                      python-oslotest (>= 1.10.0),
                      python-paste,
@@ -51,7 +51,7 @@
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
                      python-webob,
@@ -59,8 +59,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/barbican.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/barbican.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-barbican
+Vcs-Git: https://git.openstack.org/openstack/deb-barbican
 Homepage: https://github.com/openstack/barbican
 
 Package: python-barbican
@@ -78,8 +78,8 @@
          python-keystonemiddleware (>= 4.0.0),
          python-ldap3 (>= 0.9.8.2),
          python-openssl (>= 0.14),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.config (>= 1:3.10.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
@@ -87,7 +87,7 @@
          python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-paste,
          python-pastedeploy,
@@ -96,7 +96,7 @@
          python-pymysql,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-webob,
          ${misc:Depends},
          ${python:Depends}

## barbican 3.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
cffi # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
pycrypto>=2.6 # Public Domain
pyOpenSSL>=0.14 # Apache-2.0
ldap3>=0.9.8.2 # LGPLv3
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.16.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
barbican (1:3.0.0~rc1-2+4~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:07:55 +0000

barbican (1:3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools (>= 53~).
  * Fixed EPOCH for oslotest.
  * Debconf translation:
    - pt_BR (Closes: #827329).
    - nl (Closes: #834613).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:36:37 +0200

barbican (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Add patch for requirements.txt to avoid FTBFS in Jessie.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 15:46:52 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -43,7 +43,7 @@
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.2.0.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paste,
                      python-pastedeploy,
                      python-pecan (>= 1.0.0),
@@ -59,8 +59,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-barbican
-Vcs-Git: https://git.openstack.org/openstack/deb-barbican
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-barbican?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-barbican -b debian/newton
 Homepage: https://github.com/openstack/barbican
 
 Package: python-barbican
